Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.file
[Java] Class DuplicateFileCopyingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.gradle.api.GradleException
                      org.gradle.api.file.DuplicateFileCopyingException

    @Incubating
    public class DuplicateFileCopyingException
    extends GradleException

Thrown when more than one file with the same relative path name is to be copied and the DuplicatesStrategy is set to DuplicatesStrategy.FAIL

Constructor Summary
`DuplicateFileCopyingException(String desc)`

Method Summary

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Constructor Detail

### DuplicateFileCopyingException

    public DuplicateFileCopyingException(String desc)

Gradle API 1.10